Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.mergepoint
Class MergepointMapping

    java.lang.Object
      org.apache.torque.generator.configuration.mergepoint.MergepointMapping

    public class MergepointMapping

extends Object

A mapping between the name of an mergepoint and and the action which should be performed at this point.

Constructor Summary
`MergepointMapping(String name)` Constructor.
`MergepointMapping(String name, List<MergepointAction> actions)` Constructor.

Method Summary
`void` | `addAction(MergepointAction action)` Adds an action to this mergepont mapping at the end of the action list.
`boolean` | `equals(Object obj)`
`List<MergepointAction>` | `getActions()` Returns the list of actions executed at the mergepoint.
`String` | `getName()` Returns the name of the mergepoint.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MergepointMapping

    public MergepointMapping(String name)

  Constructor.

  Parameters:
    `name` - the name of the mergepoint, not null.
  Throws:
    `IllegalArgumentException` - if name is null.

### MergepointMapping

    public MergepointMapping(String name,
                             List<MergepointAction> actions)

  Constructor.

  Parameters:
    `name` - the name of the mergepoint, not null.
    `actions` - the actions in this mergepoint.
  Throws:
    `IllegalArgumentException` - if name is null.

Method Detail

### getName

    public String getName()

  Returns the name of the mergepoint.

  Returns:
    the name of the mergepoint, not null.

### getActions

    public List<MergepointAction> getActions()

  Returns the list of actions executed at the mergepoint.

  Returns:
    the list of actions. Not null, may be empty.

### addAction

    public void addAction(MergepointAction action)

  Adds an action to this mergepont mapping at the end of the action list.

  Parameters:
    `action` - the action to add, not null.
  Throws:
    `NullPointerException` - if action is null.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.